- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# SpeexPreprocessState_ Struct Reference

List of all members.

## Public Attributes
int | frame_size
int | ps_size
int | sampling_rate
spx_word16_t * | frame
spx_word16_t * | ft
spx_word32_t * | ps
spx_word16_t * | gain2
spx_word16_t * | gain_floor
spx_word16_t * | window
spx_word32_t * | noise
spx_word32_t * | reverb_estimate
spx_word32_t * | old_ps
spx_word16_t * | gain
spx_word16_t * | prior
spx_word16_t * | post
spx_word32_t * | S
spx_word32_t * | Smin
spx_word32_t * | Stmp
int * | update_prob
spx_word16_t * | zeta
spx_word16_t * | inbuf
spx_word16_t * | outbuf
float * | loudness_weight
float | loudness
float | agc_gain
int | nb_loudness_adapt
float | max_gain
float | max_increase_step
float | max_decrease_step
float | prev_loudness
float | init_max
int | nb_adapt
int | min_count
void * | fft_lookup

## Detailed Description

Speex pre-processor state.

## Member Data Documentation

int SpeexPreprocessState_::frame_size

Number of samples processed each time

int SpeexPreprocessState_::ps_size

Number of points in the power spectrum

int SpeexPreprocessState_::sampling_rate

Sampling rate of the input/output

spx_word16_t* SpeexPreprocessState_::frame

Processing frame (2*ps_size)

spx_word16_t* SpeexPreprocessState_::ft

Processing frame in freq domain (2*ps_size)

spx_word32_t* SpeexPreprocessState_::ps

Current power spectrum

spx_word16_t* SpeexPreprocessState_::gain2

Adjusted gains

spx_word16_t* SpeexPreprocessState_::gain_floor

Minimum gain allowed

spx_word16_t* SpeexPreprocessState_::window

Analysis/Synthesis window

spx_word32_t* SpeexPreprocessState_::noise

Noise estimate

spx_word32_t* SpeexPreprocessState_::reverb_estimate

Estimate of reverb energy

spx_word32_t* SpeexPreprocessState_::old_ps

Power spectrum for last frame

spx_word16_t* SpeexPreprocessState_::gain

Ephraim Malah gain

spx_word16_t* SpeexPreprocessState_::prior

A-priori SNR

spx_word16_t* SpeexPreprocessState_::post

A-posteriori SNR

spx_word32_t* SpeexPreprocessState_::S

Smoothed power spectrum

spx_word32_t* SpeexPreprocessState_::Smin

See Cohen paper

spx_word32_t* SpeexPreprocessState_::Stmp

See Cohen paper

int* SpeexPreprocessState_::update_prob

Probability of speech presence for noise update

spx_word16_t* SpeexPreprocessState_::zeta

Smoothed a priori SNR

spx_word16_t* SpeexPreprocessState_::inbuf

Input buffer (overlapped analysis)

spx_word16_t* SpeexPreprocessState_::outbuf

Output buffer (for overlap and add)

float* SpeexPreprocessState_::loudness_weight

Perceptual loudness curve

float SpeexPreprocessState_::loudness

Loudness estimate

float SpeexPreprocessState_::agc_gain

Current AGC gain

int SpeexPreprocessState_::nb_loudness_adapt

Number of frames used for loudness adaptation so far

float SpeexPreprocessState_::max_gain

Maximum gain allowed

float SpeexPreprocessState_::max_increase_step

Maximum increase in gain from one frame to another

float SpeexPreprocessState_::max_decrease_step

Maximum decrease in gain from one frame to another

float SpeexPreprocessState_::prev_loudness

Loudness of previous frame

float SpeexPreprocessState_::init_max

Current gain limit during initialisation

int SpeexPreprocessState_::nb_adapt

Number of frames used for adaptation so far

int SpeexPreprocessState_::min_count

Number of frames processed so far

void* SpeexPreprocessState_::fft_lookup

Lookup table for the FFT

The documentation for this struct was generated from the following file:

- C:/RakNet/DependentExtensions/speex-1.2beta3/libspeex/preprocess.c